php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #76998 PHP 7 doesn't recognize pdo_informix
Submitted: 2018-10-11 11:42 UTC Modified: 2018-11-20 19:07 UTC
From: rg at bbl dot de Assigned:
Status: Closed Package: PDO_INFORMIX (PECL)
PHP Version: 7.0.32 OS: Ubuntu 18.04.1 LTS
Private report: No CVE-ID: None
Welcome back! If you're the original bug submitter, here's where you can edit the bug or add additional notes.
If this is not your bug, you can add a comment by following this link.
If this is your bug, but you forgot your password, you can retrieve your password here.
Password:
Status:
Package:
Bug Type:
Summary:
From: rg at bbl dot de
New email:
PHP Version: OS:

 

 [2018-10-11 11:42 UTC] rg at bbl dot de
Description:
------------
Compiled Apache, PHP and PDO_IFORMIX (see Test script). 
But PDO-Driver isn't recognized 
Tried with PHP 7.0.32 AND 7.2.6 and pdo_informix 1.3.2 and 1.3.3
Apache Version 2.4.33


Test script:
---------------
Compiled Apache
CFLAGS="-m64" CXXFLAGS="m64" ./configure --prefix=/etc/apache2.4 --with-included-apr --enable-so --enable-env --enable-deflate --enable-ssl --enable-cache --enable-auth-basic-module --enable-dir --enable-expires --enable-include --enable-mime --enable-rewrite --enable-setenvif --enable-http --enable-file-cache --enable-echo --enable-disk-cache --enable-memcache --enable-headers --enable-vhost-alias --enable-dav --enable-dav-fs --enable-davlock
CFLAGS="-m64" CXXFLAGS="-m64" make clean
CFLAGS="-m64" CXXFLAGS="-m64" make
CFLAGS="-m64" CXXFLAGS="-m64" make install

Compiled PHP 7.0.32 AND 7.2.6
  CFLAGS="-m64" CXXFLAGS="-m64" ./configure --with-apxs2=/etc/apache2.4/bin/apxs --prefix=/etc/apache2.4/php --with-config-file-path=/etc/apache2.4 --with-mcrypt  --enable-calendar --enable-ctype --enable-dom --enable-filter --enable-hash --with-openssl --enable-json --enable-libxml=/usr/lib --enable-mbstring --with-mhash --enable-pdo --enable-session --enable-soap --enable-simplexml --enable-tokenizer --enable-xml --enable-xmlreader --enable-xmlwriter --enable-zip --with-curl
  CFLAGS="-m64" CXXFLAGS="-m64" make clean
  CFLAGS="-m64" CXXFLAGS="-m64" make
  CFLAGS="-m64" CXXFLAGS="-m64" make install

Compiled PDO_INFORMIX (1.3.2 AND 1.3.3)
  CFLAGS="-m64" CXXFLAGS="-m64" /etc/apache2.4/php/bin/phpize
  CFLAGS="-m64" CXXFLAGS="-m64" ./configure --with-pdo-informix=/opt/IBM/informix --with-php-config=/etc/apache2.4/php/bin/php-config
  CFLAGS="-m64" CXXFLAGS="-m64" make clean
  CFLAGS="-m64" CXXFLAGS="-m64" make
  CFLAGS="-m64" CXXFLAGS="-m64" make install

Edit php.ini and copied the pdo_informix.so to php extension_dir and restart apache.
Check for PDO-Driver in phpinfo(). 

Expected result:
----------------
Section "PDO drivers" in phpinfo() should show "sqlite,informix" 

Actual result:
--------------
Section "PDO drivers" in phpinfo() only shows "sqlite"

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2018-11-20 19:07 UTC] rg at bbl dot de
-Status: Open +Status: Closed
 [2018-11-20 19:07 UTC] rg at bbl dot de
Found the problem:

You need to load the environment values that are used to start the Informix-Databse, before you start the apache
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Sun Dec 08 22:01:24 2019 UTC